Subject: [Pce] [Technical Errata Reported] RFC8231 (5796)

From: RFC Errata System <[email-masked]>
Date: Sun, 28 Jul 2019 23:13:26 -0700 (PDT)

The following errata report has been submitted for RFC8231,
"Path Computation Element Communication Protocol (PCEP) Extensions for Stateful PCE".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5796

--------------------------------------
Type: Technical
Reported by: Hillol <[email-masked]>

Section: 7.3.3

Original Text
-------------
               Value      Description
               -----      -------------------------------------
                 1        Unknown reason
                 2        Limit reached for PCE-controlled LSPs
                 3        Too many pending LSP Update Requests
                 4        Unacceptable parameters
                 5        Internal error
                 6        LSP administratively brought down
                 7        LSP preempted
                 8        RSVP signaling error

Corrected Text
--------------
Remove Value 2
 2        Limit reached for PCE-controlled LSPs

Notes
-----
Value 2 "Limit reached for PCE-controlled LSPs" can occur when an PC update message comes for either PCInitiated or PCDelegated LSP. But since the lsp is already created or delegated, it means the resource is available and allocated. Also RFC 8281 (section 5.3) states that if LSP provisioned exceeds the limit, an LSP error message should be sent with Error-type=19 (Invalid Operation) and
Error-value=6 (PCE-initiated LSP limit reached). So, I believe there is no scenario where LSP Error code TLV "Limit reached for PCE-controlled LSPs" would be used.
Please let me know if there is some scenario which can trigger the same.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8231 (draft-ietf-pce-stateful-pce-21)
--------------------------------------
Title               : Path Computation Element Communication Protocol (PCEP) Extensions for Stateful PCE
Publication Date    : September 2017
Author(s)           : E. Crabbe, I. Minei, J. Medved, R. Varga
Category            : PROPOSED STANDARD
Source              : Path Computation Element
Area                : Routing
Stream              : IETF
Verifying Party     : IESG